Шаблон:Mbox/styles.css: различия между версиями

Шаблон используемый на Wikimeat
мНет описания правки
мНет описания правки
Строка 9: Строка 9:
display: flex;
display: flex;
flex-direction: column;
flex-direction: column;
}
.mbox.mbox-high {
background-color: var( --background-color-destructive );
}
.mbox.mbox-med {
background-color: var( --background-color-warning );
}
}


Строка 19: Строка 27:


.mbox-icon img {
.mbox-icon img {
    opacity: .5;
opacity: .5;
    margin-right: 10px;
margin-right: 10px;
    width: 14px;
width: 14px;
    height: auto;
height: auto;
}
}


.mbox-text {
.mbox-text {
    position: absolute;
position: absolute;
    z-index: 10;
z-index: 10;
    padding: 15px 20px;
padding: 15px 20px;
    border-radius: 8px;
border-radius: 8px;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.0625), 0 10px 10px rgba(0, 0, 0, 0.055);
box-shadow: 0 14px 28px rgba(0, 0, 0, 0.0625), 0 10px 10px rgba(0, 0, 0, 0.055);
    opacity: 0;
opacity: 0;
    visibility: hidden;
background-color: var( --background-color-framed );
    transition: opacity 0.2s ease, box-shadow 0.2s ease;
visibility: hidden;
transition: opacity 0.2s ease, box-shadow 0.2s ease;
}
}


.mbox:hover .mbox-text {
.mbox:hover .mbox-text {
    opacity: 1;
opacity: 1;
    visibility: visible;
visibility: visible;
}
}


@media only screen and (max-width: 720px) {
@media only screen and (max-width: 720px) {
    .mbox {
.mbox {
        margin: 0.4rem -20px 0 -20px;
margin: 0.4rem -20px 0 -20px;
     }
     }


    .mbox-title {
.mbox-title {
        padding: 10px 20px;
padding: 10px 20px;
     }
     }
}
}

Версия от 00:11, 16 июля 2021

.mbox {
	position: relative;
	margin-top: 0.4rem;
	margin-bottom: 0.8rem;
	border-radius: 8px;
	color: var( --color-base--subtle );
	font-size: 0.875rem;
	background-color: var( --background-color-framed );
	display: flex;
	flex-direction: column;
}

.mbox.mbox-high {
	background-color: var( --background-color-destructive );
}

.mbox.mbox-med {
	background-color: var( --background-color-warning );
}

.mbox-title {
	padding: 10px 15px;
	display: flex;
	align-items: center;
	font-weight: 500;
}

.mbox-icon img {
	opacity: .5;
	margin-right: 10px;
	width: 14px;
	height: auto;
}

.mbox-text {
	position: absolute;
	z-index: 10;
	padding: 15px 20px;
	border-radius: 8px;
	box-shadow: 0 14px 28px rgba(0, 0, 0, 0.0625), 0 10px 10px rgba(0, 0, 0, 0.055);
	opacity: 0;
	background-color: var( --background-color-framed );
	visibility: hidden;
	transition: opacity 0.2s ease, box-shadow 0.2s ease;
}

.mbox:hover .mbox-text {
	opacity: 1;
	visibility: visible;
}

@media only screen and (max-width: 720px) {
	.mbox {
		margin: 0.4rem -20px 0 -20px;
    }

	.mbox-title {
		padding: 10px 20px;
    }
}
🍪 Наш веб-сайт использует файлы cookie для того, чтобы сделать ваш опыт использования сайта лучше и анализа использования сайта